const name = prompt("What is your name?");
const age = Number(prompt("How old are you?"));

if (age < 18) {
    alert("You are not allowed to visit this website");
} else if (age <= 22 && !confirm("Are you sure you want to continue?")) {
    alert("You are not allowed to visit this website");
} else if (age >= 0) {
    alert("Welcome, " + name + "!");
}


// 1.	Есть три варианта объявления переменных. Первый из них это var. Это самый первый способ, который уже не используют. Эго можно найти только на старых сайтах. Основное отличие var от других переменных заключается в том, что var можно объявлять глобально и локально. И потом придумали let и const. По сути let = const, но есть одно отличие. Const, это сталая, которую уже нельзя изменить (ввёл и всё), а let можно менять. Это блочный элемент, который нельзя показать повторно, а только заменить.
// 2.	Объявлять переменную через var считается плохим тоном, потому что это уже устаревшая переменная. Так же обычно сайты пишут несколько разработчиков и возникает много ошибок и проблем именно из-за var. Он не очень подходит для командной работы из-за того, что если он задан глобально и где то разработчики дадут одинаковые названия элементам, у каких не должно быть их, то начнутся ошибки и придется снова перебирать весь код и искать проблему.
// Блочная структура намного удобнее для большинства разработчиков, поэтому все перешли на let/const.
